<div class="dashboard-heading">

    <div class="all">
        <div class="starter-stats">


            <div class=" ">

                <div class="col-12  card card-4 card-bank">
                    <h3 class="pt-2">Comptes bancaires</h3>

                    <div class="">
                        <div class="row">
                            <!-- <div class="col-4" *ngFor="let bank of allBanks.data">
                                <div class="creditcard">
                                    <div class="text-right">
    
                                    </div>
                                    <div style="text-align: end;">
                                        <button class="btn btn-danger" style="background-color: red;border: none;" (click)="deleteAccount(bank._id)">
                                          <i class="fa fa-trash"></i>  Supprimer
                                        </button>
                                    </div>
                                    <div>
    
                                        <div>
                                            <div >
                                                <h3><b>{{bank.bank_name}}</b></h3>
                                                <p style="color: green;"> <i class="fa fa-check-circle"></i> Vérifié</p>
                                            </div>
                                            <div class="container">
                                                <div class="row justify-content-md-center">
                                                    
                                                    
                                                    <div >
                                                        <p class="text-right">{{bank.account_number}}XXXXXXXXX</p>
                                                    </div>
                                                    <div>
                                                        <p class="text-right">{{bank.account_name}}</p>
                                                    </div>
                                                    <div>
                                                        <p class="text-right">{{bank.iban}}</p>
                                                    </div>
                                                    <div>
                                                        <p class="text-right">{{bank.bank_address}}</p>
                                                    </div>
                                                    <div>
                                                        <p class="text-right">{{bank.bic}}</p>
                                                    </div>
                                                    
                                                </div>
                                            </div>
                                            <div>
                                                <h5 *ngIf="bank.is_default == true" class="badge" style="color: #2171ae;">par défaut</h5>
                                            </div>
                                           
                                        </div>
                                    </div>
                                </div><br>
                            </div>  -->

                            <div class="container mt-3">
                                <div class="row">
                                    <div class="col-lg-4 col-md-6 col-sm-6 col-12" *ngFor="let bank of allBanks.data">
                                        <div class="bank-card">
                                            <div class="bank-card-h">
                                                <div class="row">

                                                    <div class="col-lg-12 col-md-12 col-sm-12 col-12 ">
                                                        <h4 class="mb-0 text-center"><b>{{bank.bank_name}}</b></h4>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="bank-card-b">
                                                <a href="#" class="tras-h"><i class="fa-solid fa-user"></i></a>
                                                <div class="col-lg-12 col-md-12 col-sm-12 col-12 ">
                                                    <span class="verify-s"><i
                                                            class="fa-sharp fa-solid fa-circle-check"></i>
                                                        Verified</span>
                                                </div>

                                                <div class="mt-3 mb-3">
                                                    <p class="mb-1"><span>{{bank.account_number}}</span></p>
                                                    <p class="mb-1"><span>{{bank.iban}}</span></p>
                                                    <p class="mb-1"><span>{{bank.bic}}</span></p>

                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6"><button class="btn btn-back"  data-bs-toggle="modal"
                                                        data-bs-target="#myModal2" (click)="getCoupon(bank._id)"><b><i
                                                                    class="fa-solid fa-edit"></i></b></button></div>
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6 text-right"><button class="btn btn-delete"><b><i class="fa-solid fa-trash"
                                                                    (click)="deleteAccount(bank._id)"></i></b></button>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                                        <div class="bank-card">
                                            <div class="bank-card-add">
                                                <a data-bs-toggle="modal" data-bs-target="#myModal"><i class="fa-solid fa-plus"></i></a> Ajouter un compte bancaire
                                            </div>
                                        </div>
                                    </div>



                                </div>
                            </div>

                        </div>

                        <!-- <div class="col-12 ">
                            <div class="creditcard" style="text-align: center; height: 200px;">
                                
                                    <div style="margin-top: 10%;" >
                                       <i class="fa fa-plus-circle" style="font-size: 30px;" ></i>
                                       <h2>AJOUTER UN NOUVEAU COMPTE BANCAIRE</h2>
                                    </div>
                                 
                            </div><br>
                        </div>  -->
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" id="myModal">
            <div class="modal-dialog">
                <div class="modal-content">

                    <!-- Modal Header -->
                    <div class="modal-header mdl-h">
                        <!-- <h4 class="modal-title">Modal Heading</h4> -->
                        <button _ngcontent-fiu-c134="" type="button" data-bs-dismiss="modal" class="btn-cncl"><i _ngcontent-fiu-c134="" class="fa-solid fa-xmark"></i></button>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body modal-height">
                        <app-add-bank></app-add-bank>
                    </div>

                    <!-- Modal footer -->
                    <!-- <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                  </div> -->

                </div>
            </div>
        </div>


        <div class="modal" id="myModal2">
            <div class="modal-dialog">
                <div class="modal-content">

                    <!-- Modal Header -->
                    <div class="modal-header mdl-h">
                        <!-- <h4 class="modal-title">Modal Heading</h4> -->
                        <button _ngcontent-fiu-c134="" type="button" data-bs-dismiss="modal" class="btn-cncl"><i _ngcontent-fiu-c134="" class="fa-solid fa-xmark"></i></button>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body modal-height">
                        <div class="container screen-pt-50">

                            <div class="row">
                                <div class="col-md-12 sign-12 text-left">
                                    <div class="">
                        
                                        <!-- [formGroup]="registerform" (ngSubmit)="register()" -->
                                        <form class="" [formGroup]="registerform" (ngSubmit)="sendBank()">
                        
                                            <h3><b>Créer un nouveau compte bancaire</b></h3>
                                            <div class="mb-3 mt-3">
                                                <label for="name" class="form-label"><span class="star">*</span>Nom de la banque</label>
                                                <input type="text" class="form-control" id="name" name="name" autofocus="off" required formControlName="bank_name">
                                            </div>
                                            <div class="errormsg" *ngIf="registerform.get('bank_name')?.touched && registerform.get('bank_name')?.hasError('required')">
                        
                                                <h4> <b>Le nom de la banque est requis</b></h4>
                                            </div>
                                            <div class="mb-3 mt-3">
                                                <label for="name" class="form-label"><span class="star">*</span>Numéro de compte</label>
                                                <input type="text" class="form-control" id="name" name="name" required formControlName="account_number">
                                            </div>
                                            <div class="errormsg" *ngIf="registerform.get('account_number')?.touched && registerform.get('account_number')?.hasError('required')">
                        
                                                <h4> <b>Le numéro de compte est requis</b></h4>
                                            </div>
                                            <div class="mb-3 mt-3">
                                                <label for="name" class="form-label"><span class="star">*</span>IBAN</label>
                                                <input type="text" class="form-control" id="name" name="name" required formControlName="iban">
                                            </div>
                                            <div class="errormsg" *ngIf="registerform.get('iban')?.touched && registerform.get('iban')?.hasError('required')">
                        
                                                <h4> <b>IBAN est requis</b></h4>
                                            </div>
                                            <div class="mb-3 mt-3">
                                                <label for="name" class="form-label"><span class="star">*</span>Code BIC</label>
                                                <input type="text" class="form-control" id="name" name="name" required formControlName="bic">
                                            </div>
                                            <div class="errormsg" *ngIf="registerform.get('bic')?.touched && registerform.get('bic')?.hasError('required')">
                        
                                                <h4> <b>BIC est requis</b></h4>
                                            </div>
                        
                                            <div class="mb-3 mt-3">
                                                <label for="name" class="form-label"><span class="star">*</span>Adresse de la banque</label>
                                                <input type="text" class="form-control" id="" name=""  formControlName="bank_address" (onAddressChange)="handleAddressChange2($event)" ngx-google-places-autocomplete>
                                            </div>
                        
                        
                                            <button type="submit" class="btn btn-signs"><b>Ajouter</b></button>
                                            <div class="comeBack_up" *ngIf="updateBankDetailRes">
                                                <div *ngIf="updateBankDetailRes.status == false; else loggedOut">
                                                    <br>
                                                    <div class="alert alert-danger"><strong>{{ updateBankDetailRes.message }}</strong></div>
                                                </div>
                                                <ng-template #loggedOut>
                                                    <br>
                                                    <div class="alert alert-success"><strong>{{ updateBankDetailRes.errorMessage }}</strong></div>
                                                </ng-template>
                                            </div>
                                            <button mat-button mat-dialog-close class="btn btn-signs" style="color:#fff !important"><b>fermer</b></button>
                        
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Modal footer -->
                    <!-- <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                  </div> -->

                </div>
            </div>
        </div>


       